Skip to main content
GET
/
v1
/
perps
/
open_interest
Get Open Interest
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/open_interest \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "market": "AAPL-USD.P",
      "openInterest": "2394.23",
      "notionalValue": "544683.50"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Array of open interest objects per market

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]